<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
<xsl:output method="html" version="4.1" encoding="ISO-8859-1" omit-xml-declaration="yes"/>

<xsl:template match="/">
   <html>
   <head>
   </head>
   <body>
		<table>
			<xsl:choose>
				<xsl:when test='descendant::FN or descendant::NICKNAME or descendant::DESC or descendant::ORGNAME or descendant::ORGUNIT or descendant::ROLE or descendant::BDAY'>
					<xsl:apply-templates select="descendant::FN" />
					<xsl:apply-templates select="descendant::NICKNAME" />
					<xsl:apply-templates select="descendant::DESC" />
					<xsl:apply-templates select="descendant::ORGNAME" />
					<xsl:apply-templates select="descendant::ORGUNIT" />
					<xsl:apply-templates select="descendant::ROLE" />
					<xsl:apply-templates select="descendant::BDAY" />
				</xsl:when>
				<xsl:otherwise>
					<div>TESTE</div> 
				</xsl:otherwise>
			</xsl:choose>
		</table>
   </body>
   </html>
</xsl:template>

<xsl:template match="FN">
	<tr>
		<td width="30%" align="right">
			<label id="{ancestor::*/attribute::id}_FN"></label>
			<script defer="true">
				<![CDATA[
				IM.labelVcard[']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_FN'] = IM.get_lang('Full Name');
				//document.getElementById(']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_FN').innerHTML = IM.get_lang('Full Name') + ' .: ';
				]]>
			</script>
		</td>
		<td width="70%" align="left">
			<xsl:value-of select="." />
		</td>
	</tr>
</xsl:template>

<xsl:template match="NICKNAME">
	<tr>
		<td width="30%" align="right">
			<label id="{ancestor::*/attribute::id}_NICKNAME"></label>
			<script defer="true">
				<![CDATA[
				IM.labelVcard[']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_NICKNAME'] = IM.get_lang('NickName');
				//document.getElementById(']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_NICKNAME').innerHTML = IM.get_lang('NickName') + ' .: ';
				]]>
			</script>
		</td>
		<td width="70%" align="left">
			<xsl:value-of select="." />
		</td>
	</tr>
</xsl:template>

<xsl:template match="DESC">
	<tr>
		<td width="30%" align="right">
			<label id="{ancestor::*/attribute::id}_DESC"></label>
			<script defer="true">
				<![CDATA[
				IM.labelVcard[']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_DESC'] = IM.get_lang('your message');
				//document.getElementById(']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_DESC').innerHTML = IM.get_lang('your message') + ' .: ';
				]]>
			</script>
		</td>
		<td width="70%" align="left">
			<xsl:value-of select="." />
		</td>
	</tr>
</xsl:template>

<xsl:template match="ORGNAME">
	<tr>
		<td width="30%" align="right">
			<label id="{ancestor::*/attribute::id}_ORGNAME"></label>
			<script defer="true">
				<![CDATA[
				IM.labelVcard[']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_ORGNAME'] = IM.get_lang('Orgname');
				//document.getElementById(']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_ORGNAME').innerHTML = IM.get_lang('Orgname') + ' .: ';
				]]>
			</script>
		</td>
		<td width="70%" align="left">
			<xsl:value-of select="." />
		</td>
	</tr>
</xsl:template>

<xsl:template match="ORGUNIT">
	<tr>
		<td width="30%" align="right">
			<label id="{ancestor::*/attribute::id}_ORGUNIT"></label>
			<script defer="true">
				<![CDATA[
				IM.labelVcard[']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_ORGUNIT'] = IM.get_lang('Orgunit');
				//document.getElementById(']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_ORGUNIT').innerHTML = IM.get_lang('Orgunit') + ' .: ';
				]]>
			</script>
		</td>
		<td width="70%" align="left">
			<xsl:value-of select="." />
		</td>
	</tr>
</xsl:template>

<xsl:template match="ROLE">
	<tr>
		<td width="30%" align="right">
			<label id="{ancestor::*/attribute::id}_ROLE"></label>
			<script defer="true">
				<![CDATA[
				IM.labelVcard[']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_ROLE'] = IM.get_lang('Role');
				//document.getElementById(']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_ROLE').innerHTML = IM.get_lang('Role') + ' .: ';
				]]>
			</script>
		</td>
		<td width="70%" align="left">
			<xsl:value-of select="." />
		</td>
	</tr>
</xsl:template>

<xsl:template match="BDAY">
	<tr>
		<td width="30%" align="right">
			<label id="{ancestor::*/attribute::id}_BDAY"></label>
			<script defer="true">
				<![CDATA[
				IM.labelVcard[']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_BDAY'] = IM.get_lang('Birthday');
				//document.getElementById(']]><xsl:value-of select="ancestor::*/attribute::id" /><![CDATA[_BDAY').innerHTML = IM.get_lang('Birthday') + ' .: ';
				]]>
			</script>
		</td>
		<td width="70%" align="left">
			<xsl:value-of select="." />
		</td>
	</tr>
</xsl:template>

</xsl:stylesheet>
